PETSc version 3.17.4
Fix/Edit manual page

# DMPlexTransformSetFromOptions

Sets parameters in a transform from the options database

### Synopsis

    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexTransformSetFromOptions(DMPlexTransform tr)

Collective on tr

### Input Parameter

| tr | - the DMPlexTransform object to set options for

### Options Database

| -dm_plex_transform_type | - Set the transform type, e.g. refine_regular

### See Also

DMPlexTransformView(), DMPlexTransformCreate()

### Level

intermediate

### Location

src/dm/impls/plex/transform/interface/plextransform.c

### Examples

src/dm/impls/plex/tutorials/ex11.c.html

### Implementations

DMPlexTransformSetFromOptions_Extrude in src/dm/impls/plex/transform/impls/extrude/plextrextrude.c
DMPlexTransformSetFromOptions_1D in src/dm/impls/plex/transform/impls/refine/1d/plexref1d.c
DMPlexTransformSetFromOptions_BL in src/dm/impls/plex/transform/impls/refine/bl/plexrefbl.c
DMPlexTransformSetFromOptions_SBR in src/dm/impls/plex/transform/impls/refine/sbr/plexrefsbr.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages